Package com.xebialabs.xlrelease.utils

# Class Tree.NodeOps$

java.lang.Object
com.xebialabs.xlrelease.utils.Tree.NodeOps$

Enclosing interface:
  `Tree<A>`

public static class Tree.NodeOps$ extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Tree.NodeOps$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NodeOps$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final <A> boolean`
  `equals$extension(Tree.NodeOps<A> $this, Object x$1)`
  `final <A> Tree.Node<A>`
  `filterChildren$extension(Tree.NodeOps<A> $this, scala.Function1<A,Object> f)`
  `final <A> int`
  `hashCode$extension(Tree.NodeOps<A> $this)`
  `final <B, A> Tree.Node<B>`
  `map$extension(Tree.NodeOps<A> $this, scala.Function1<A,B> f)`
  `final <B, A> Tree<B>`
  `unsafeFlatMap$extension(Tree.NodeOps<A> $this, scala.Function1<Tree.Node<A>,Tree<B>> f)`
  `final <B, A> Tree.Node<B>`
  `unsafeMap$extension(Tree.NodeOps<A> $this, scala.Function1<Tree.Node<A>,B> f)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final Tree.NodeOps$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### NodeOps$

    public NodeOps$()

- ## Method Details

  - ### filterChildren$extension

    public final <A> Tree.Node<A> filterChildren$extension(Tree.NodeOps<A> $this, scala.Function1<A,Object> f)

  - ### map$extension

    public final <B, A> Tree.Node<B> map$extension(Tree.NodeOps<A> $this, scala.Function1<A,B> f)

  - ### unsafeMap$extension

    public final <B, A> Tree.Node<B> unsafeMap$extension(Tree.NodeOps<A> $this, scala.Function1<Tree.Node<A>,B> f)

  - ### unsafeFlatMap$extension

    public final <B, A> Tree<B> unsafeFlatMap$extension(Tree.NodeOps<A> $this, scala.Function1<Tree.Node<A>,Tree<B>> f)

  - ### hashCode$extension

    public final <A> int hashCode$extension(Tree.NodeOps<A> $this)

  - ### equals$extension

    public final <A> boolean equals$extension(Tree.NodeOps<A> $this, Object x$1)